########################################################################
# SSR Dummy collections
########################################################################

name: ssr
meta:
  label: { de: "SSR Dummy", en: "ssr dummy" }
  muiIcon: storage
  group: system
  imageUrl: "https://images.unsplash.com/photo-1558494949-ef010cbdcc31?auto=format&fit=crop&q=80&w=800"
  hide: true

permissions:
  public:
    methods:
      get: true
      post: true
      put: false
      delete: false
  user:
    methods:
      get: true
      post: false
      put: false
      delete: true

hooks:
  get:
    read:
      type: javascript
      file: hooks/ssr/get_read.js
  post:
    bind:
      type: javascript
      file: hooks/ssr/post_bind.js

fields:
  - name: path
    type: string
    index: [single, unique]

  - name: content
    type: string
    meta:
      inputProps:
        multiline: true

  - name: validUntil
    type: date
    index: [single]
    meta:
      label:
        de: Gültig bis
        en: Valid until

  - name: dependencies
    type: string[]
    index: [single]
    meta:
      label:
        de: Abhängigkeiten
        en: Dependencies

  - name: _testdata
    type: boolean
    meta:
      hide: true
